import Vue from 'vue'
import { all } from 'vue-client'
Vue.config.silent = true
import ApplyGetSaleParam from './stores/ApplyGetSaleParams'
import ApplyLoadParams from './stores/ApplyLoadParams'
/** ****************服务插件*********************/

export default function () {
  Vue.use(ApplyGetSaleParam)
  Vue.use(ApplyLoadParams)
  /** ***************************报建模块*********************************/
  // 报建待办 总入口
  Vue.component('app-exploration-user', (resolve) => { require(['./components/android/Process/AppExplorationUser'], resolve) })
  Vue.component('app-service-control', (resolve) => { require(['./components/android/Process/AppServiceControl'], resolve) })

  // 流程监控
  Vue.component('app-process-supervisory', (resolve) => { require(['./components/android/Supervisory/AppProcessSupervisory'], resolve) })
  Vue.component('app-supervisory-cart', (resolve) => { require(['./components/android/Supervisory/AppSupervisoryCart'], resolve) })

  // 通用组件
  Vue.component('app-take-pic', (resolve) => { require(['./components/android/AppTakePic'], resolve) })
  Vue.component('app-service-view', (resolve) => { require(['./components/android/AppServiceView'], resolve) })
  Vue.component('app-onetomany', (resolve) => { require(['./components/android/AppOnetomany'], resolve) })
  Vue.component('task-graph', (resolve) => { require(['./components/android/TaskGraph'], resolve) })
  Vue.component('app-sign', (resolve) => { require(['./components/android/AppSign'], resolve) })
  Vue.component('app-upload', (resolve) => { require(['./components/android/AppUpload'], resolve) })

  // 地图任务
  // 现场勘察
  Vue.component('survey-tsak', (resolve) => { require(['./components/android/Task/Survey/SurveyTsak'], resolve) })
  // 工程施工
  Vue.component('build-tsak', (resolve) => { require(['./components/android/Task/Build/BuildTsak'], resolve) })
  // 工程派工
  Vue.component('upbuild-tsak', (resolve) => { require(['./components/android/Task/UpBuild/UpBuildTsak'], resolve) })
  // 工程队派工
  Vue.component('upbuild-dui', (resolve) => { require(['./components/android/Task/UpBuild/UpBuildDui'], resolve) })
  // 监理单位派工
  Vue.component('upbuild-JianLi', (resolve) => { require(['./components/android/Task/UpBuild/UpJianLi'], resolve) })
  // 施工信息查看
  Vue.component('show-build', (resolve) => { require(['./components/android/Task/ShiGongXinXi/ShowBuild'], resolve) })
  // 施工信息控制层
  Vue.component('app-build-user', (resolve) => { require(['./components/android/Task/ShiGongXinXi/AppShowBuildUser'], resolve) })
  //  已办信息
  Vue.component('show-done', (resolve) => { require(['./components/android/Task/yiban/ShowDone'], resolve) })
  // 已办信息控制层
  Vue.component('app-satisfaction-show', (resolve) => { require(['./components/android/Task/yiban/satisfactionShow'], resolve) })
  Vue.component('app-build-done', (resolve) => { require(['./components/android/Task/yiban/AppShowDone'], resolve) })
  // 施工通气
  Vue.component('app-build-ignition', (resolve) => { require(['./components/android/Task/BuildIgnition/BuildIgnition'], resolve) })

  Vue.component('app-installation-details', (resolve) => { require(['./components/android/Process/Processes/AppInstallationDetails'], resolve) })
  Vue.component('app-devices-management', (resolve) => { require(['./components/android/Process/Processes/AppDevicesManagement'], resolve) })
  Vue.component('survey-user-sign', (resolve) => { require(['./components/android/Process/Processes/SurveyUserSign'], resolve) })

  // 通气点火
  Vue.component('ventilation-ignition', (resolve) => { require(['./components/android/Ignition/VentilationIgnition'], resolve) })
  Vue.component('ventilation-ignition-handle', (resolve) => { require(['./components/android/Ignition/VentilationIgnitionHandle'], resolve) })
  Vue.component('ventilation-ignition-old', (resolve) => { require(['./components/android/Ignition/VentilationIgnitionOld'], resolve) })
  Vue.component('ventilation-ignition-handle-old', (resolve) => { require(['./components/android/Ignition/VentilationIgnitionHandleOld'], resolve) })

  // 签字
  Vue.component('app-sign-task', (resolve) => { require(['./components/android/Sign/AppSignTask'], resolve) })
  Vue.component('sign-process', (resolve) => { require(['./components/android/Sign/SignProcess'], resolve) })

  // 出具设计图纸
  Vue.component('design-rawings', (resolve) => { require(['./components/android/newPackage/designDrawings'], resolve) })
  // 工程报价
  Vue.component('project-Price', (resolve) => { require(['./components/android/newPackage/projectPrice'], resolve) })
  // 客服管理
  Vue.component('customer-manager', (resolve) => { require(['./components/android/newPackage/customerServiceManager'], resolve) })
  // 详细数据
  Vue.component('detailed-data', (resolve) => { require(['./components/android/newPackage/detailedData'], resolve) })
  Vue.component('app-show-back-reason', (resolve) => { require(['./components/android/AppShowBackReason'], resolve) })

  // 地图
  Vue.component('apply-map-com', (resolve) => { require(['./components/product/ApplyMap/ApplyMapCom'], resolve) })
  Vue.component('apply-input-search', (resolve) => { require(['./components/product/ApplyMap/ApplyInputSearch'], resolve) })
  Vue.component('apply-drag-list', (resolve) => { require(['./components/product/ApplyMap/ApplyDragaboutList'], resolve) })
  Vue.component('apply-map-location', (resolve) => { require(['./components/product/ApplyMap/ApplyMapLocation'], resolve) })
  Vue.component('apply-map-input-search', (resolve) => { require(['./components/product/ApplyMap/ApplyMapInputSearch'], resolve) })
  Vue.component('app-map-location', (resolve) => { require(['./components/product/ApplyMap/AppMapLocation'], resolve) })
  // 安检维修界面
  Vue.component('app-repair-from', (resolve) => { require(['./components/android/Task/RepairFromSend/RepairFrom'], resolve) })
  Vue.component('app-repair-send', (resolve) => { require(['./components/android/Task/RepairFromSend/RepairSend'], resolve) })
  // 设备变更
  Vue.component('new-app-installation-details', (resolve) => { require(['./components/android/Process/Processes/newAppInstallationDetails.vue'], resolve) })
  Vue.component('new-app-devices-management', (resolve) => { require(['./components/android/Process/Processes/newAppDevicesManagement'], resolve) })
  // 改线业务审核
  Vue.component('bu-zhang-shenhe', (resolve) => { require(['./components/android/Task/ShenHe/BuZhangShenHe'], resolve) })
  Vue.component('jing-li-shenhe', (resolve) => { require(['./components/android/Task/ShenHe/JingLiShenHe'], resolve) })
  // 拆除用户管理
  Vue.component('app-chai-chu-management', (resolve) => { require(['./components/android/Process/Processes/AppChaiChuInfo.vue'], resolve) })
  // 管线建设
  Vue.component('app-exploration-guan-xian', (resolve) => { require(['./components/android/Task/GuanXianJianShe/AppExplorationGuanXian.vue'], resolve) })
  // 管线建设
  Vue.component('app-guan-xian-cailiao', (resolve) => { require(['./components/android/Task/GuanXianJianShe/AppGuanXianCaiLiao.vue'], resolve) })
  // 铅封管理
  Vue.component('seal-manage', (resolve) => { require(['./components/android/SealManage'], resolve) })
  // 铅封绑定
  Vue.component('seal-bind', (resolve) => { require(['./components/android/SealBind'], resolve) })
  Vue.component('seal-bind-non-civilian', (resolve) => { require(['./components/android/SealBindNonCivilian'], resolve) })
}
